#include "windows.h"
#include "globals.h"
#include <winver.h>

; On and off check states
checkon  BITMAP checkon.bmp
checkoff BITMAP checkoff.bmp
dot      BITMAP dot.bmp

APPNAME ICON ICONFILE

; Template for the main application menu.
APPNAME MENU
BEGIN
  POPUP "&File"
    BEGIN
      MENUITEM "&Exit",       IDM_EXIT
    END

  POPUP "&Colors"
    BEGIN
      MENUITEM "&Owner Draw Colors", IDM_COLOROWNERDR
      MENUITEM SEPARATOR
      MENUITEM "&Black", IDM_BLACK, CHECKED
      MENUITEM "B&lue",  IDM_BLUE
      MENUITEM "&Red",   IDM_RED
      MENUITEM "&Green", IDM_GREEN
    END

  POPUP "&Software"
    BEGIN
      POPUP    "&Word Processing"
        BEGIN
          MENUITEM "&Word 6.0", 0
          MENUITEM "W&rite", 0
        END

      POPUP    "&Spreadsheet"
        BEGIN
          MENUITEM "&Microsoft Excel", 0
          MENUITEM "&1+2=4", 0
        END

      POPUP    "&Languages"
        BEGIN
          POPUP "&C"
            BEGIN
              MENUITEM "&Visual C++", 0
              MENUITEM "&Quick C", 0
            END
          MENUITEM "Quick &BASIC", 0
          MENUITEM "&Pascal", 0
        END
    END
END

; Template for the floating popup menu
PopupMenu MENU
BEGIN
  POPUP "FOO-Dummy Popup"
    BEGIN
      POPUP "Fonts"
        BEGIN
          MENUITEM "Courier", IDM_FONT
          MENUITEM "Times Roman", IDM_FONT
          MENUITEM "Swiss", IDM_FONT
          MENUITEM "Helvetica", IDM_FONT
          MENUITEM "Old English", IDM_FONT
        END
      POPUP "Sizes"
        BEGIN
          MENUITEM "7", IDM_SIZE
          MENUITEM "8", IDM_SIZE
          MENUITEM "9", IDM_SIZE
          MENUITEM "10", IDM_SIZE
          MENUITEM "11", IDM_SIZE
          MENUITEM "12", IDM_SIZE
          MENUITEM "14", IDM_SIZE
        END
      POPUP "Styles"
        BEGIN
          MENUITEM "Bold", IDM_STYLE
          MENUITEM "Italic", IDM_STYLE
          MENUITEM "Strike Out", IDM_STYLE
          MENUITEM "Superscript", IDM_STYLE
          MENUITEM "Subscript", IDM_STYLE
        END
    END
END



; String table

STRINGTABLE
BEGIN
    IDS_APPNAME,        SZAPPNAME
    IDS_DESCRIPTION,    SZDESCRIPTION
END


APPNAME ACCELERATORS
BEGIN
    "Q", IDM_EXIT, CONTROL, VIRTKEY
END

; Version stamping information:

VS_VERSION_INFO VERSIONINFO
FILEVERSION     4,0,0,0
PRODUCTVERSION  4,0,0,0
FILEFLAGSMASK   VS_FFI_FILEFLAGSMASK
FILEFLAGS       (VS_FF_PRIVATEBUILD|VS_FF_PRERELEASE|VS_FF_DEBUG)
FILEOS          VOS_DOS_WINDOWS16
FILETYPE        VFT_APP
FILESUBTYPE     VFT2_UNKNOWN
BEGIN
    BLOCK "StringFileInfo"
    BEGIN
        BLOCK "040904E4"
        BEGIN
            VALUE SZRCOMPANYNAME,   "Microsoft Corporation\0"
            VALUE SZRDESCRIPTION,   SZDESCRIPTION "\0"
            VALUE SZRVERSION,       SZVERSION "\0"
            VALUE SZRAPPNAME,       SZAPPNAME "\0"
            VALUE SZRCOPYRIGHT,     "Copyright \251 Microsoft Corp. 1990-1994\0"
            VALUE SZRTRADEMARK,     "Microsoft\256 is a registered trademark of Microsoft Corporation. Windows(TM) is a trademark of Microsoft Corporation"
            VALUE SZRPRODNAME,      SZAPPNAME "\0"
            VALUE SZRPRODVER,       SZVERSION "\0"
        END
    END

    BLOCK "VarFileInfo"
    BEGIN
        VALUE "Translation", 0x409, 1252
    END
END
